> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hobbo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Review Enhancement 

> Enhance a review's readability and tone with AI while preserving meaning.



## OpenAPI

````yaml POST /features/review-enhancement
openapi: 3.1.0
info:
  title: OpenAPI Plant Store
  description: >-
    A sample API that uses a plant store as an example to demonstrate features
    in the OpenAPI specification
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.hobbo.ai
    description: Main API server
  - url: https://py-api.hobbo.ai
    description: Python API server for scraper endpoints
security:
  - ApiKeyAuth: []
paths:
  /features/review-enhancement:
    post:
      description: >-
        Enhance a review's readability and tone with AI while preserving
        meaning.
      requestBody:
        description: Review enhancement parameters
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ReviewEnhancementRequest'
        required: true
      responses:
        '200':
          description: Review enhanced successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ReviewEnhancementResponse'
        '400':
          description: Validation error or unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
              examples:
                validationError:
                  value:
                    error: <string>
      servers:
        - url: https://py-api.hobbo.ai
components:
  schemas:
    ReviewEnhancementRequest:
      type: object
      required:
        - review_text
      properties:
        review_id:
          type:
            - string
            - 'null'
          description: Identifier
        review_text:
          type: string
          description: Content of the review
        tone:
          type:
            - string
            - 'null'
          description: Tone to apply
          enum:
            - professional
            - friendly
            - enthusiastic
            - balanced
            - casual
    ReviewEnhancementResponse:
      type: object
      properties:
        review_text:
          type: string
          description: Content of the review
    Error:
      type: object
      properties:
        status:
          type: integer
          description: HTTP status code
        data:
          type: object
          description: Empty object or additional error data
        success:
          type: boolean
          description: Indicates operation failed
          example: false
        message:
          type: string
          description: Error message describing what went wrong

````